Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## bea.com/loc/metadata
complexType maxMemoryConstraintType

    {http://www.w3.org/2001/XMLSchema}anyType
        {bea.com/loc/metadata}maxMemoryConstraintType

Model
  `<...>
  name, description?, key, priority, state, evaluation-period?, value
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: constraintsDefinitionType/max-memory-constraint, constraintsDefinitionType/max-memory-constraint, constraintsDefinitionType/share-memory-constraint, constraintsDefinitionType/share-memory-constraint

Documentation

      Defines the maximum amount of RAM that can
                                     be used by the process. This will only be used if the underlying
                                     system allows this to be controlled, such as is the case in ESX.
                                     In the case of ESX, this setting corresponds to the notion of "limit".

Nested Element Summary
`string` | `name` The name of the constraint definition.
`string` | `description` optional A description of this constraint
`string` | `key` The key for this constraint definition used in constraint bindings.
`nonNegativeInteger` | `priority` The priority of this constraint.
`annonymous type derived from string` | `state` Defines whether this constraint is triggered when the service is deployed or undeployed.
`long` | `evaluation-period` optional In the case where a policy violation has been failed and handled, this defines the minimum amount of time the system will wait before re-evaluating that policy.
`long` | `value` The value which the metric is compared to based on the constraint type.

Overview | Namespace | Component | Index | Help
| Oracle WLOC 10.3 Service Metadata Schema Reference (Version 1.0)
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 10.3